Subject: Re: [PATCH bpf-next v2 0/2] Atomic flow dissector updates

From: Jakub Sitnicki <[email-masked]>
Date: Fri, 11 Oct 2019 10:31:17 +0200

On Fri, Oct 11, 2019 at 01:38 AM CEST, Daniel Borkmann wrote:
> On Thu, Oct 10, 2019 at 08:17:48PM +0200, Jakub Sitnicki wrote:
>> This patch set changes how bpf(BPF_PROG_ATTACH) operates on flow dissector
>> hook when there is already a program attached. After this change the user
>> is allowed to update the program in a single syscall. Please see the first
>> patch for rationale.
>> 
>> v1 -> v2:
>> 
>> - Don't use CHECK macro which expects BPF program run duration, which we
>>   don't track in attach/detach tests. Suggested by Stanislav Fomichev.
>> 
>> - Test re-attaching flow dissector in both root and non-root network
>>   namespace. Suggested by Stanislav Fomichev.
>> 
>> 
>> Jakub Sitnicki (2):
>>   flow_dissector: Allow updating the flow dissector program atomically
>>   selftests/bpf: Check that flow dissector can be re-attached
>> 
>>  net/core/flow_dissector.c                     |  10 +-
>>  .../bpf/prog_tests/flow_dissector_reattach.c  | 127 ++++++++++++++++++
>>  2 files changed, 134 insertions(+), 3 deletions(-)
>>  create mode 100644 tools/testing/selftests/bpf/prog_tests/flow_dissector_reattach.c
>
> This needs a new rebase, doesn't apply cleanly. Please carry on Martin
> and Stanislav's tags. Thanks!

Rebased and posted v3. Thanks to Martin and Stanislav for reviewing it.

-Jakub